Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
S_usb_format_type_1 Struct Reference

Audio Format Type descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields
U8 | bLenght
U8 | bDescriptorType
U8 | bDescriptorSubType
U8 | bFormatType
U8 | bNrChannels
U8 | bSubFrameSize
U8 | bBitResolution
U8 | bSampleFreqType
U16 | wLsbyteiSamFreq_1
U8 | bMsbyteiSamFreq_1
U16 | wLsbyteiSamFreq_2
U8 | bMsbyteiSamFreq_2
U16 | wLsbyteiSamFreq_3
U8 | bMsbyteiSamFreq_3
U16 | wLsbyteiSamFreq_4
U8 | bMsbyteiSamFreq_4
U16 | wLsbyteiSamFreq_5
U8 | bMsbyteiSamFreq_5
U16 | wLsbyteiSamFreq_6
U8 | bMsbyteiSamFreq_6
U16 | wLsbyteiSamFreq_7
U8 | bMsbyteiSamFreq_7
U16 | wLsbyteiSamFreq_8
U8 | bMsbyteiSamFreq_8

## Detailed Description

Audio Format Type descriptor.

## Field Documentation

U8 S_usb_format_type_1::bBitResolution

U8 S_usb_format_type_1::bDescriptorSubType

U8 S_usb_format_type_1::bDescriptorType

U8 S_usb_format_type_1::bFormatType

U8 S_usb_format_type_1::bLenght

U8 S_usb_format_type_1::bMsbyteiSamFreq_1

U8 S_usb_format_type_1::bMsbyteiSamFreq_2

U8 S_usb_format_type_1::bMsbyteiSamFreq_3

U8 S_usb_format_type_1::bMsbyteiSamFreq_4

U8 S_usb_format_type_1::bMsbyteiSamFreq_5

U8 S_usb_format_type_1::bMsbyteiSamFreq_6

U8 S_usb_format_type_1::bMsbyteiSamFreq_7

U8 S_usb_format_type_1::bMsbyteiSamFreq_8

U8 S_usb_format_type_1::bNrChannels

U8 S_usb_format_type_1::bSampleFreqType

U8 S_usb_format_type_1::bSubFrameSize

U16 S_usb_format_type_1::wLsbyteiSamFreq_1

U16 S_usb_format_type_1::wLsbyteiSamFreq_2

U16 S_usb_format_type_1::wLsbyteiSamFreq_3

U16 S_usb_format_type_1::wLsbyteiSamFreq_4

U16 S_usb_format_type_1::wLsbyteiSamFreq_5

U16 S_usb_format_type_1::wLsbyteiSamFreq_6

U16 S_usb_format_type_1::wLsbyteiSamFreq_7

U16 S_usb_format_type_1::wLsbyteiSamFreq_8

The documentation for this struct was generated from the following file:

- /mnt/data/GENTOO_FILES/home/k1ll3r/Dokumenty/Diplomka/Sonochan_II/FW_sdr_widget/sdr-widget/src/usb_descriptors.h